HTMLのselectタグを画像で選択できるようにするjQueryプラグインです。

利用方法
optionのテキスト表示部分に、画像ファイルへのパス情報を出力してください。
jQueryオブジェクトに対して「selectimage」メソッドを適用してください。

使用例
§HTML
<select class="selectimage">
	<option value="0">/images/image00.jpg</option>
	<option value="1">/images/image01.jpg</option>
	<option value="2" selected>/images/image02.jpg</option>
	<option value="3">/images/image03.jpg</option>
</select>
§Javascript
$('.selectimage').selectimage({
	width: 100px,
	height: 100px,
	multiplelines: true,
	selecticon: '<img src="/images/dropdown.jpg" alt="">',
});

オプション
width,height: 画像の大きさを指定します。※既定値は共に「200px」です。
multiplelines: 選択時の画像を横一列表示か、複数行表示化を指定します。既定値は、False「一列表示」です。
selecticon: ドロップダウンを開くためのアイコンを指定します。※既定値は「<i class="fas fa-sort-down"></i>」でFontAwesomeを使用しています。

その他はcssで制御して下さい。オーバレイが必要がない場合はcssにてbackgroundをtransparentを指定してください。



最後に
jQueryプラグイン自体に今更感はありますが、折角作ったので公開です。
5年ぶりくらいに作ったこともあり、どうにも醜い部分はありますがご容赦ください。
多重で処理を行っても大丈夫なはずです。
AJAXで要素新たに読み込んで雑に動作させても動きます。
